Page MenuHomePhabricator

Ex:WikibaseQualityExternalValidation - rate limit Special:CrossCheck
Closed, ResolvedPublic

Description

Since doing a check there inserts jobs into the job queue, it should have a throttle. Using User::pingLimiter is probably the easiest way to do that.

Event Timeline

csteipp created this task.Jun 25 2015, 8:03 PM
csteipp raised the priority of this task from to Needs Triage.
csteipp updated the task description. (Show Details)
dominic.sauer set Security to None.
Lydia_Pintscher triaged this task as High priority.Jun 26 2015, 11:30 AM
Tamslo moved this task from Backlog to DOING on the Wikibase-Quality board.Jun 26 2015, 11:50 AM
Tamslo moved this task from DOING to REVIEW on the Wikibase-Quality board.

Change 221103 had a related patch set uploaded (by Soeren.oldag):
check User::pingLimiter before pushing jobs in queue (T103905)

https://gerrit.wikimedia.org/r/221103

Change 221101 had a related patch set uploaded (by Soeren.oldag):
check User::pingLimiter before pushing jobs in queue (T103905)

https://gerrit.wikimedia.org/r/221101

Change 221103 merged by jenkins-bot:
check User::pingLimiter before pushing jobs in queue (T103905)

https://gerrit.wikimedia.org/r/221103

soeren.oldag closed this task as Resolved.Jun 29 2015, 8:22 AM

Change 221101 merged by jenkins-bot:
check User::pingLimiter before pushing jobs in queue (T103905)

https://gerrit.wikimedia.org/r/221101

sbassett moved this task from Backlog to Done on the Security-Team board.Jun 11 2019, 7:18 PM